apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: legalgonews-backend
  namespace: altru-staging
  annotations:
    kubernetes.io/ingress.class: "nginx"  # Add this line
    cert-manager.io/cluster-issuer: "letsencrypt-prod"
    nginx.ingress.kubernetes.io/ingress-class: "nginx"  # Add this line
spec:
  rules:
  - host: "legalgonews-be.app-dev.altru.id"
    http:
      paths:
      - pathType: Prefix
        path: /
        backend:
          service:
            name: legalgonews-backend
            port:
              number: 3000
  tls:
    - hosts:
      - "legalgonews-be.app-dev.altru.id"
      secretName: legalgonews-be-app-dev-biz-id-tls
